org.apache.ignite.internal.processors.service

## Class GridServiceProxy<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.service.GridServiceProxy<T>

All Implemented Interfaces:
  Serializable

    public class GridServiceProxy<T>
    extends Object
    implements Serializable

Wrapper for making `Service` class proxies.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceProxy(ClusterGroup prj, String name, Class<? super T> svc, boolean sticky, long timeout, GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `invokeMethod(Method mtd, Object[] args)` Invoek the method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridServiceProxy

    public GridServiceProxy(ClusterGroup prj,
                            String name,
                            Class<? super T> svc,
                            boolean sticky,
                            long timeout,
                            GridKernalContext ctx)

Parameters:
  `prj` - Grid projection.
  `name` - Service name.
  `svc` - Service type class.
  `sticky` - Whether multi-node request should be done.
  `timeout` - Service availability wait timeout. Cannot be negative.
  `ctx` - Context.

### Method Detail

#### invokeMethod

    public Object invokeMethod(Method mtd,
                               Object[] args)
                        throws Throwable

Invoek the method.

Parameters:
  `mtd` - Method.
  `args` - Arugments.
Returns:
  Result.
Throws:
  `Throwable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021